package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class SQLAlterTablespaceDatafile extends SQLObjectImpl implements SQLAlterTablespacleItem {
   private ArrayList<SQLName> filepaths = new ArrayList();
   private Boolean on;
   private Boolean off;
   private SQLExpr next;
   private SQLExpr maxsize;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public ArrayList<SQLName> getFilepaths() {
      return this.filepaths;
   }

   public void setFilepaths(ArrayList<SQLName> filepaths) {
      this.filepaths = filepaths;
   }

   public Boolean getOn() {
      return this.on;
   }

   public void setOn(Boolean on) {
      this.on = on;
   }

   public Boolean getOff() {
      return this.off;
   }

   public void setOff(Boolean off) {
      this.off = off;
   }

   public SQLExpr getNext() {
      return this.next;
   }

   public void setNext(SQLExpr next) {
      this.next = next;
   }

   public SQLExpr getMaxsize() {
      return this.maxsize;
   }

   public void setMaxsize(SQLExpr maxsize) {
      this.maxsize = maxsize;
   }
}
